Observability
Trace usage this month
This calendar month’s stored traces against the workspace’s free allowance and monthly cap, with the rates billed beyond the allowance.
GET
/
v1
/
traces
/
usage
Trace usage this month
curl --request GET \
--url https://api.veri.studio/v1/traces/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/traces/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/traces/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"year_month": "<string>",
"used": 123,
"used_base": 123,
"free_allowance": 123,
"cap": 123,
"price_per_1k_base": 123,
"price_per_1k_extended": 123,
"deployment_used": 123
}Authorizations
Query Parameters
Response
This calendar month's stored traces against the workspace's limits.
Trace usage this month
curl --request GET \
--url https://api.veri.studio/v1/traces/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/traces/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/traces/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"year_month": "<string>",
"used": 123,
"used_base": 123,
"free_allowance": 123,
"cap": 123,
"price_per_1k_base": 123,
"price_per_1k_extended": 123,
"deployment_used": 123
}
